<template>
  <div class="name-chat">
    <img :src="logo[$i18n.locale] || logo['ru-ru']" class="name-chat__logo" alt="Junior chat logo">
    <span class="name-chat__name">{{ $t('nameChat') }}</span>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  name: 'NameChat',

  setup () {
    const logo = {
      'ru-ru': '../statics/logo-ru.png',
      'en-gb': '../statics/logo-en.png'
    }

    return {
      logo
    }
  }
})
</script>

<style lang="scss" scoped>
@import '../css/variables';

.name-chat {
  display: flex;
  align-items: center;
  flex-wrap: wrap;

  &__logo{
    width: 40px;
    margin: auto;
  }

  &__name {
    margin-left: 10px;
    font-size: 32px;
    color: $textColor;
    text-align: center;
  }
}
</style>
